These are chat archives for mirumee/saleor

28th
Jun 2018
NyanKiyoshi
@NyanKiyoshi
Jun 28 2018 04:31
Python37 is out :tada:
I will add a PR of the requirements changes once travis drop python3.7-dev for python3.7
Patryk Zawadzki
@patrys
Jun 28 2018 09:27
woo! 🎉
Ousmane Seidy Diallo
@TheBlackDude
Jun 28 2018 17:44
Hi everyone
am trying to use saleor with Docker
everything is working , but the tests are failing
Ousmane Seidy Diallo
@TheBlackDude
Jun 28 2018 17:50
am running the tests with this command docker-compose run web pytest
and i'm getting this error

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", line 329, in _getconftestmodules
return self._path2confmods[path]
KeyError: local('/app/tests')

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", line 360, in _importconftest
return self._conftestpath2mod[conftestpath]
KeyError: local('/app/tests/conftest.py')

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", line 366, in _importconftest
mod = conftestpath.pyimport()
File "/usr/local/lib/python3.6/site-packages/py/_path/local.py", line 686, in pyimport
raise self.ImportMismatchError(modname, modfile, self)
py._path.local.LocalPath.ImportMismatchError: ('tests.conftest', '/home/mudu/saleor/saleor/tests/conftest.py', local('/app/tests/conftest.py'))
ERROR: could not load /app/tests/conftest.py

please any help